Bug Hunting Session
Bug 57742 - SLIDESHOW: slideshow malfunction with E17/i3/awesome
Summary: SLIDESHOW: slideshow malfunction with E17/i3/awesome
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 64852 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-11-30 19:15 UTC by MartinTweddlexboxlive
Modified: 2016-05-09 20:07 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MartinTweddlexboxlive 2012-11-30 19:15:02 UTC
Problem description: 
When using the e17 desktop environment with two screens, set up as an extended desktop using arandr, the slideshow will not start on the the screen specified in the settings

It will instead display in whichever screen the mouse is in when f5 is pressed or 'start slideshow' is clicked.

The presenter console displays both windows on the same screen regardless with the presenter console on the top.

This initially happened in bodhi linux but a test with e17 on lubuntu produced the same result. Lubuntu with normal desktop works properly.

Steps to reproduce:
1. install e17 desktop and configure for dual monitors
2. make a slideshow and set presentation display to any of the options
3. start the slideshow and the problem described should occur

Current behavior:
The slideshow will not start on the the screen specified in the settings

It will instead display in whichever screen the mouse is in when f5 is pressed or 'start slideshow' is clicked.

Expected behavior:
Display on selected screen

Additional Information:
OpenLP a church presenter program works properly with e17 interface.
              
Operating System: Ubuntu
Comment 1 Joel Madero 2013-05-20 16:02:51 UTC
arandr or xrandr? I've never used arandr before.

I have E17, adding myself as CC so I remember to test when I have access to my second monitor tonight
Comment 2 Joel Madero 2013-05-20 16:03:28 UTC
also where do I do this: set presentation display to any of the options?
Comment 3 bfoman (inactive) 2013-06-18 12:39:43 UTC
@reporter: please answer questions asked in comment 1 and comment 2.
Comment 4 Joel Madero 2013-06-23 04:36:08 UTC
*** Bug 64852 has been marked as a duplicate of this bug. ***
Comment 5 Joel Madero 2013-06-23 04:37:09 UTC
Setting myself as QA Contact as I intend on looking into this one further soon - found a dupe of it so I'll play around and see if I can get same results in Enlightenment
Comment 6 hermes.trismegistos 2013-10-19 10:30:16 UTC
I am experiencing the same bug. 

I use xrandr to span my Desktop to the second display. This is the command I use:

xrandr --output VGA1 --right-of LVDS1 --auto --output LVDS1 --primary --auto

LVDS1 is my laptop’s native display, VAG1 is the display attached to its VGA port.

I don’t have anything screen related in my xorg.conf.d/* files, only one file concerning pointing devices (so the rest of the xorg config are the defaults)

Here some system information

Gentoo Linux x86_64
libreoffice-4.0.4.2
xrandr-1.4.1
xorg-server-1.14.3
enlightenment-0.17.3
linux-3.11.0

I don’t think that the hardware matters, because I had this problem with my older laptop with nvidia graphic card, too. But at the moment it is a hybrid graphics card:

Intel 3rd Gen Core processor Graphics Controller [8086:166] (Intel Core i7-3632QM)
Radeon HD 7730M

Currently I do not use the radeon card, only the intel chip with the kernels i915 driver.

I reported the problem in the LibreOffice forum:

http://libreofficeforum.org/node/6867#comment-28164

And I found an earlier report in the Bodhi Linux forum:

http://forums.bodhilinux.com/index.php?/topic/6457-solved-largely-libreoffice-impress-wont-run-slideshow-when-second-monitor-is-turned-on/

Do you need more information?
Comment 7 QA Administrators 2014-05-17 00:33:51 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 8 Tiziano Müller 2014-05-20 08:34:22 UTC
I can confirm this with i3/awesome and libreoffice-4.2.3.3 and I can furthermore confirm Martins observation: the presentation is always drawn on the same screen in a separate window behind the controls window.

As a workaround: at least with i3 it is possible to exit fullscreen-mode without libreoffice noticing and then move the presentation window to a different screen manually.
Comment 9 Thorsten Behrens (CIB) 2014-05-20 09:57:26 UTC
Setting to confirmed then.

Window managers are a pain sadly, at least historically they all behaved subtly different. So there's code in LibreOffice trying to abstract that away:

 http://opengrok.libreoffice.org/xref/core/vcl/unx/generic/app/wmadaptor.cxx

Would be cool if someone running one of the problematic window
managers could debug this, and figure out which adapter LibreOffice
picks. Also worth trying, is setting env var OOO_FORCE_DESKTOP to

 tde
 kde4
 gnome
 unity
 xfce
 mate
 kde
 none

in turn.
Comment 10 Tiziano Müller 2014-05-20 10:02:50 UTC
(In reply to comment #9)
> Also worth trying, is setting env var OOO_FORCE_DESKTOP to
> 
>  tde
>  kde4
>  gnome
>  unity
>  xfce
>  mate
>  kde
>  none
> 
> in turn.

Did not help unfortunately. I did:

  for d in tde kde4 gnome unity xfce mate kde none ; do OOO_FORCE_DESKTOP=$d loimpress ; done
Comment 11 Tiziano Müller 2014-05-27 17:48:55 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Also worth trying, is setting env var OOO_FORCE_DESKTOP to
> > 
> >  tde
> >  kde4
> >  gnome
> >  unity
> >  xfce
> >  mate
> >  kde
> >  none
> > 
> > in turn.
> 
> Did not help unfortunately. I did:
> 
>   for d in tde kde4 gnome unity xfce mate kde none ; do OOO_FORCE_DESKTOP=$d
> loimpress ; done

after rebuilding libreoffice with kde and gnome support I repeated those tests:

With tde or kde4 I get now 3 separate windows when launching the presentation:
* the original impress window
* the presentation
* the console
Comment 12 QA Administrators 2015-06-08 14:41:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.3 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results;
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-06-08
Comment 13 Julien Nabet 2016-02-21 08:24:48 UTC
Following last Tiziano's comment + the fact there's now LO 5.0.5 (and even brand new 5.1.0), any update?
Comment 14 Peri Noid 2016-04-11 09:53:22 UTC
I'd like to add my $0.02 to the report. I'm struggling with the similar problem, which is that, no matter where I tell Libreoffice to show the slides, it always uses the same screen, on which the main window is shown. Furthermore, if I enable slideshow console, it occupies also exactly the same screen, which makes it unusable. It happends on my laptop with Intel HD Graphics 5500, currently running xserver 1.17.4 with Intel driver ver. 2.99.917. I'm using KDE 4.x envionment (kdebase 4.11.22) and LibreOffice 5.1.2.1. My displays are configured with xrandr:

$ xrandr
Screen 0: minimum 8 x 8, current 3840 x 1080, maximum 32767 x 32767
eDP1 connected primary 1920x1080+1920+0 (normal left inverted right x axis y axis) 276mm x 156mm
   1920x1080     60.02*+  48.03  
   1400x1050     59.98  
   1600x900      60.00  
   1280x1024     60.02  
   1280x960      60.00  
   1368x768      60.00  
   1280x720      60.00  
   1024x768      60.00  
   1024x576      60.00  
   960x540       60.00  
   800x600       60.32    56.25  
   864x486       60.00  
   640x480       59.94  
   720x405       60.00  
   640x360       60.00  
DP1 disconnected (normal left inverted right x axis y axis)
DP1-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080     60.00*+  50.00    59.94  
   1600x1200     60.00  
   1680x1050     59.88  
   1280x1024     60.02  
   1440x900      59.90  
   1280x960      60.00  
   1280x800      59.91  
   1280x720      60.00    50.00    59.94  
   1024x768      60.00  
   800x600       60.32    56.25  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       60.00    59.94  
DP1-2 disconnected (normal left inverted right x axis y axis)
DP1-3 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)


Now, maybe important: I have also a workstation, which runs almost eactly the same software setup, but differs in hardware - it has an NVidia G86 Quadro NVS 290 graphics card and uses NVidia proprietary drivers. This machine has no problems with proper slideshow:

$ xrandr
Screen 0: minimum 8 x 8, current 3200 x 1200, maximum 8192 x 8192
DVI-I-0 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 360mm x 270mm
   1280x1024     85.02 +  75.02    60.02  
   2048x1536     65.00    60.00  
   1920x1440     60.00  
   1856x1392     60.01  
   1792x1344     75.00    60.01  
   1600x1200     85.00*   75.00    70.00    65.00    60.00  
   1400x1050     74.76    59.98  
   1280x960      85.00    60.00  
   1152x864      75.00  
   1024x768      85.00    86.96    75.03    70.07    60.00  
   832x624       74.55  
   800x600       85.14    85.06    75.00    72.19    60.32    56.25  
   720x400       85.04  
   700x525       74.76    59.98  
   640x480       85.01    75.00    72.81    72.81    59.95    59.94  
   640x400       85.08  
   640x350       85.08  
   512x384       70.07    87.06    60.00  
   400x300       72.19  
   320x240       72.81    60.05  
   320x175       85.27  
DVI-I-1 connected 1600x1200+1600+0 (normal left inverted right x axis y axis) 360mm x 270mm
   1280x1024     85.02 +  75.02    60.02  
   2048x1536     65.00    60.00  
   1920x1440     60.00  
   1856x1392     60.01  
   1792x1344     75.00    60.01  
   1600x1200     85.00*   75.00    70.00    65.00    60.00  
   1400x1050     74.76    59.98  
   1280x960      85.00    60.00  
   1152x864      75.00  
   1024x768      85.00    86.96    75.03    70.07    60.00  
   832x624       74.55  
   800x600       85.14    85.06    75.00    72.19    60.32    56.25  
   720x400       85.04  
   700x525       74.76    59.98  
   640x480       85.01    75.00    72.81    72.81    59.95    59.94  
   640x400       85.08  
   640x350       85.08  
   512x384       70.07    87.06    60.00  
   400x300       72.19  
   320x240       72.81    60.05  
   320x175       85.27  
DVI-I-2 disconnected (normal left inverted right x axis y axis)
DVI-I-3 disconnected (normal left inverted right x axis y axis)

It seems itel-related somehow...
Comment 15 QA Administrators 2016-05-09 20:07:38 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09